%define debug_package %{nil}

Name:		qtractor
Version:	0.5.6
Release:	%mkrel 2
Summary:	An Audio/MIDI multi-track sequencer
License:	GPLv2+
Group:		Sound/Midi
Source0:	%{name}-%{version}.tar.gz
URL:		http://qtractor.sourceforge.net/

BuildRequires:	qt4-devel
BuildRequires:	jackit-devel
BuildRequires:	libalsa-devel
BuildRequires:	sndfile-devel
BuildRequires:	libvorbis-devel
BuildRequires:	mad-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	rubberband-devel
BuildRequires:	liblo-devel
BuildRequires:	ladspa-devel
BuildRequires:	dssi-devel
BuildRequires:	lilv-devel
BuildRequires:	suil-devel
BuildRequires:	gtk2-devel
BuildRequires:	desktop-file-utils

Requires:	dssi
Requires:	ladspa
Requires:	suil-gtk2-in-qt4
Requires:	suil-x11-in-qt4

%description
Qtractor is an Audio/MIDI multi-track sequencer application
written in C++ around the Qt4 toolkit using Qt Designer.

The initial target platform will be Linux, where the Jack Audio
Connection Kit (JACK) for audio, and the Advanced Linux Sound
Architecture (ALSA) for MIDI, are the main infrastructures to
evolve as a fairly-featured Linux Desktop Audio Workstation GUI,
specially dedicated to the personal home-studio.

%prep
%setup -q

%build
%configure --enable-lilv --enable-suil --localedir=/usr/share/locale

%make

%install
%makeinstall DESTDIR=%{buildroot}

desktop-file-install \
    --remove-key="X-SuSE-translate" \
    --remove-key="Version" \
    --remove-key="X-Desktop-Install-Version" \
    --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/mimetypes/*.png
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/locale/*.qm


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.5.6-2.mga3
+ Revision: 380035
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 barjac <barjac> 0.5.6-1.mga3
+ Revision: 321677
- new version
- removed BR slv2
- changed requires
- validated desktop file
- cleaned spec
- thanks to Philippe Didier (bug #7840)

  + fwang <fwang>
    - new version 0.5.5

* Sun Mar 04 2012 juancho <juancho> 0.5.4-1.mga2
+ Revision: 217778
- Updated to 0.5.4

* Sat Dec 10 2011 eatdirt <eatdirt> 0.5.1-2.mga2
+ Revision: 180391
- Rebuilt for librubberband-1.7.0

* Thu Dec 01 2011 fwang <fwang> 0.5.1-1.mga2
+ Revision: 174724
- update file list
- new version 0.5.1

* Wed Sep 07 2011 tv <tv> 0.5.0-1.mga2
+ Revision: 139981
- new release
- enable new LV2 GUI support through suil and lilv

* Sun May 08 2011 shikamaru <shikamaru> 0.4.8-2.mga1
+ Revision: 96528
- new release 0.4.8 - bump rel to ease upgrade from mdv

* Fri Apr 15 2011 shikamaru <shikamaru> 0.4.7-1.mga1
+ Revision: 86000
- Clean spec (buildroot, defines, macros, one req per line)
- imported package qtractor

